/*
** ###################################################################
**     THIS MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Project   : KBI_GB60
**     Processor : MC9S08GB60CFU
**     Version   : Bean 01.127, Driver 01.00, CPU db: 2.87.159
**     Datasheet : MC9S08GB60/D Rev. 2.3 12/2004
**     Date/Time : 10/25/2005, 9:07 AM
**     Abstract  :
**         This module contains device initialization code 
**         for selected on-chip peripherals.
**     Contents  :
**         Function "MCU_init" initializes selected peripherals
**
**     (c) Copyright UNIS, spol. s r.o. 1997-2005
**     UNIS, spol s r.o.
**     Jundrovska 33
**     624 00 Brno
**     Czech Republic
**     http      : www.processorexpert.com
**     mail      : info@processorexpert.com
** ###################################################################
*/

#include <MC9S08GB60.h>                /* I/O map */


/*
** ===================================================================
**     Method      :  MCU_init (bean MC9S08GB60)
**
**     Description :
**         Device initialization code for selected peripherals.
** ===================================================================
*/
void MCU_init(void)
{
  /* ### MC9S08GB60 "Cpu" init code ... */
  /*  PE initialization code after reset */
  /*  System clock initialization */
  /* SOPT: COPE=0,COPT=1,STOPE=0,BKGDPE=1 */
  SOPT = 0x53;                                      
  /* SPMSC1: LVDF=0,LVDACK=0,LVDIE=0,LVDRE=1,LVDSE=1,LVDE=1 */
  SPMSC1 = 0x1C;                                      
  /* SPMSC2: LVWF=0,LVWACK=0,LVDV=0,LVWV=0,PPDF=0,PPDACK=0,PDC=0,PPDC=0 */
  SPMSC2 = 0x00;                                      
  /* ICGC1: RANGE=1,REFS=0,CLKS1=0,CLKS0=0,OSCSTEN=1 */
  ICGC1 = 0x44;                                      
  /* ICGC2: LOLRE=0,MFD2=0,MFD1=0,MFD0=0,LOCRE=0,RFD2=0,RFD1=0,RFD0=0 */
  ICGC2 = 0x00;                                      
  /* Common initialization of the write once registers */

  /* Common initialization of the CPU registers */
  /* PTAPE: PTAPE7=1 */
  PTAPE |= (unsigned char)0x80;                               
  /* PTASE: PTASE7=0,PTASE6=0,PTASE5=0,PTASE4=0,PTASE3=0,PTASE2=0,PTASE1=0,PTASE0=0 */
  PTASE = 0x00;                                      
  /* PTBSE: PTBSE7=0,PTBSE6=0,PTBSE5=0,PTBSE4=0,PTBSE3=0,PTBSE2=0,PTBSE1=0,PTBSE0=0 */
  PTBSE = 0x00;                                      
  /* PTCSE: PTCSE7=0,PTCSE6=0,PTCSE5=0,PTCSE4=0,PTCSE3=0,PTCSE2=0,PTCSE1=0,PTCSE0=0 */
  PTCSE = 0x00;                                      
  /* PTDSE: PTDSE7=0,PTDSE6=0,PTDSE5=0,PTDSE4=0,PTDSE3=0,PTDSE2=0,PTDSE1=0,PTDSE0=0 */
  PTDSE = 0x00;                                      
  /* PTESE: PTESE7=0,PTESE6=0,PTESE5=0,PTESE4=0,PTESE3=0,PTESE2=0,PTESE1=0,PTESE0=0 */
  PTESE = 0x00;                                      
  /* PTFSE: PTFSE7=0,PTFSE6=0,PTFSE5=0,PTFSE4=0,PTFSE3=0,PTFSE2=0,PTFSE1=0,PTFSE0=0 */
  PTFSE = 0x00;                                      
  /* PTGSE: PTGSE7=0,PTGSE6=0,PTGSE5=0,PTGSE4=0,PTGSE3=0,PTGSE2=0,PTGSE1=0,PTGSE0=0 */
  PTGSE = 0x00;                                      
  /* ### Init_COP init code */
  SRS = 0xFF;                          /* Clear WatchDog counter */

  /* ### Init_GPIO init code */
  /* PTFDD: PTFDD0=1 */
  PTFDD |= (unsigned char)0x01;                               
  /* ### Init_KBI init code */
  /* KBI1SC: KBIE=0 */
  KBI1SC &= (unsigned char)~0x02;                              
  /* KBI1PE: KBIPE7=1,KBIPE6=0,KBIPE5=0,KBIPE4=0,KBIPE3=0,KBIPE2=0,KBIPE1=0,KBIPE0=0 */
  KBI1PE = 0x80;                                      
  /* KBI1SC: KBIMOD=1 */
  KBI1SC |= (unsigned char)0x01;                               
  /* KBI1SC: KBACK=1 */
  KBI1SC |= (unsigned char)0x04;                               
  /* KBI1SC: KBIE=1 */
  KBI1SC |= (unsigned char)0x02;                               
  /* ### */
  asm CLI;                             /* Enable interrupts */
} /*MCU_init*/

/**
 * Delay: This procedure produces a delay in order to make to LED toggling 
 *        visible to the eye.
 *
 * Parameters:      none.
 *
 * Subfunctions:    none.
 *
 * Return:          void
 */

void Delay(void) {

    unsigned int delay = 5000;
    unsigned int cnt = 0;
  
    while (cnt <delay) cnt++;
  
}


/*
** ===================================================================
**     Interrupt handler : Vkeyboard_isr
**
**     Description :
**         The next routine toggles the LED in PTFD0 10 times any time  
**				 a PTA7 pin interrupt request is made 
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
__interrupt void Vkeyboard_isr(void)
{
		int i = 0;  
		KBI1SC_KBACK = 1; // Clears KBI interrupt flag (KBF)
    
    while (i<10) {		// Toggles the led 10 times
    PTFD_PTFD0 = ~PTFD_PTFD0; 
		i++;
	  Delay();   
    }    

}
/* end of Vkeyboard_isr */



/* Initialization of the CPU registers in FLASH */

/* NVPROT: FPOPEN=1,FPDIS=1,FPS2=1,FPS1=1,FPS0=1 */
const volatile NVPROTSTR _NVPROT @0x0000FFBD = { 0xFF };

/* NVOPT: KEYEN=0,FNORED=1,SEC01=1,SEC00=0 */
const volatile NVOPTSTR _NVOPT @0x0000FFBF = { 0x7E };



extern void _Startup(void);

/* Interrupt vector table */
#define UNASSIGNED_ISR 0xFFFF          /* unassigned interrupt service routine */

void (* const _vect[])() @0xFFCC = {   /* Interrupt vector table */
         UNASSIGNED_ISR,               /* Int.no.  0 Vrti (at FFCC)                  Unassigned */
         UNASSIGNED_ISR,               /* Int.no.  1 Viic1 (at FFCE)                 Unassigned */
         UNASSIGNED_ISR,               /* Int.no.  2 Vatd1 (at FFD0)                 Unassigned */
         Vkeyboard_isr,                /* Int.no.  3 Vkeyboard1 (at FFD2)            Used */
         UNASSIGNED_ISR,               /* Int.no.  4 Vsci2tx (at FFD4)               Unassigned */
         UNASSIGNED_ISR,               /* Int.no.  5 Vsci2rx (at FFD6)               Unassigned */
         UNASSIGNED_ISR,               /* Int.no.  6 Vsci2err (at FFD8)              Unassigned */
         UNASSIGNED_ISR,               /* Int.no.  7 Vsci1tx (at FFDA)               Unassigned */
         UNASSIGNED_ISR,               /* Int.no.  8 Vsci1rx (at FFDC)               Unassigned */
         UNASSIGNED_ISR,               /* Int.no.  9 Vsci1err (at FFDE)              Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 10 Vspi1 (at FFE0)                 Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 11 Vtpm2ovf (at FFE2)              Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 12 Vtpm2ch4 (at FFE4)              Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 13 Vtpm2ch3 (at FFE6)              Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 14 Vtpm2ch2 (at FFE8)              Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 15 Vtpm2ch1 (at FFEA)              Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 16 Vtpm2ch0 (at FFEC)              Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 17 Vtpm1ovf (at FFEE)              Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 18 Vtpm1ch2 (at FFF0)              Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 19 Vtpm1ch1 (at FFF2)              Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 20 Vtpm1ch0 (at FFF4)              Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 21 Vicg (at FFF6)                  Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 22 Vlvd (at FFF8)                  Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 23 Virq (at FFFA)                  Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 24 Vswi (at FFFC)                  Unassigned */
         _Startup                      /* Int.no. 25 Vreset (at FFFE)                Reset vector */
 };




/* END */

/*
** ###################################################################
**
**     This file was created by UNIS Processor Expert 2.97 BETA [03.71]
**     for the Freescale HCS08 series of microcontrollers.
**
** ###################################################################
*/
